alertmanager:
  enabled: false

pushgateway:
  enabled: false

prometheus-node-exporter:
  enabled: false

kubeStateMetrics:
  enabled: true

server:
  enabled: true
  ingress:
    enabled: true
    ingressClassName: traefik
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"
    hosts:
      - prometheus-int.dvirlabs.com
    tls: []

  service:
    type: ClusterIP
    port: 80

  extraFlags:
    - web.enable-lifecycle

  retention: "15d"

resources:
  requests:
    cpu: "200m"
    memory: "512Mi"
  limits:
    cpu: "500m"
    memory: "1Gi"